---
title: director
sidebarTitle: director
---

# `fastmcp.utilities.openapi.director`


Request director using openapi-core for stateless HTTP request building.

## Classes

### `RequestDirector` <sup><a href="https://github.com/PrefectHQ/fastmcp/blob/main/src/fastmcp/utilities/openapi/director.py#L29" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>


Builds httpx.Request objects from HTTPRoute and arguments using openapi-core.


**Methods:**

#### `build` <sup><a href="https://github.com/PrefectHQ/fastmcp/blob/main/src/fastmcp/utilities/openapi/director.py#L36" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python
build(self, route: HTTPRoute, flat_args: dict[str, Any], base_url: str = 'http://localhost') -> httpx.Request
```

Constructs a final httpx.Request object, handling all OpenAPI serialization.

**Args:**
- `route`: HTTPRoute containing OpenAPI operation details
- `flat_args`: Flattened arguments from LLM (may include suffixed parameters)
- `base_url`: Base URL for the request

**Returns:**
- httpx.Request: Properly formatted HTTP request

